#include <Adafruit_NeoPixel.h>
#include "characters.h"
uint8_t neo_pin = 6;
uint8_t neo_pixels = 23;

Adafruit_NeoPixel strip = Adafruit_NeoPixel(neo_pixels, neo_pin, NEO_GRB + NEO_KHZ800);

void setup() {
  Serial.begin(9600);
  strip.begin();
}

void loop() 
{
  text("Hello Hackaday.io - Wazz up? ", 180);    
}

void text(String text, int d)
{
  for (int i=0; i<text.length(); i++) 
  {
    segment16(text[i]);
    delay(d);
    off();
    delay(d/3);
  }
}

void segment16(int a)
{
  for (int b=0; b<3; b++)
  {
    byte data = cipherArray[a][b];
    // Serial.println(data);
    for (byte i=0; i<8; i++) 
    { 
      boolean show_digit = (data>>(7-i)) & 1;  
      int pos = b*8+i;
      
      if (show_digit)
      {
        strip.setPixelColor(pos, 255,0,102);
      }
      else
      {
        strip.setPixelColor(pos, 0,0,0);
      }
    }
  }
  strip.show();
}

void off () 
{
  uint16_t i;
  for(i=0; i<strip.numPixels(); i++) 
  {
    strip.setPixelColor(i, 0,0,0);
    strip.show();
  }
}


